=== debian/changelog ===
geographiclib (1.42-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 May 2015 00:01:25 +0200

geographiclib (1.42-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop unused lintian override for manpage-has-errors-from-man.
  * Update MATLAB files removal for new paths.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 May 2015 12:58:44 +0200

geographiclib (1.41-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 21:42:06 +0200

geographiclib (1.41-1~exp2) experimental; urgency=medium

  * Update symbols for other architectures: arm64 armel armhf hurd-i386 i386
    kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc ppc64el s390x sparc
  * Add Breaks/Replaces for files moved from geographiclib-tools to
    geographiclib-doc. (closes: #782715)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Apr 2015 02:49:32 +0200

geographiclib (1.41-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update my email to use @debian.org address.
  * Use packaged jquery.js instead of Doxygen copy.
  * Drop obsolete symlinks for duplicate files.
  * Update symbols for amd64 (rebuild with GCC 5).
  * Update copyright file, changes:
    - Update copyright years
    - Document license & copyright for ltmain.sh

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2015 18:25:32 +0100

geographiclib (1.40-1~exp1) experimental; urgency=medium

  [ Ross Gammon ]
  * Further tweak to symbols file
  * Begin removing duplicate files
  * Imported Upstream version 1.39
  * Begin next geographiclib version
  * Refresh patches
  * Bump SONAME to 14 from 13
  * Update symbols file
  * Create -doc package as these are very large
  * Remove duplicate files and link them instead
  * Add patch to prevent remote access to CSS for html manuals

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * New upstream release.
  * Update copyright file, changes:
    - Use separate license sections
    - Use spaces instead of tabs for indenting
    - Correct GPL-3+ license specifiction
  * Use upstream version for symbols.
  * Install NEWS file as upstream changelog.
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
  * Fix unused substitution variable warnings:
    - Add Pre-Depends: ${misc:Pre-Depends} for libgeographic14
    - Remove ${shlibs:Depends} for libgeographic-dev & python-geographiclib
  * Also remove .la files, not installed.
  * Add lintian override for package-contains-empty-directory,
    the tools look for data under /usr/share/GeographicLib/
    but no data is installed by the package.
  * Also remove MATLAB files, not installed.
  * Add debug package for libgeographic.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 28 Dec 2014 20:16:55 +0100

geographiclib (1.38-1~exp2) experimental; urgency=medium

  * Apply fix from jessie branch (1.37-3) to master as well
  * Update symbols from experimental buildd's to fix FTBFS on some arches

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 15 Nov 2014 20:45:07 +0100

geographiclib (1.38-1~exp1) experimental; urgency=medium

  * New upstream release
  * Incorporate nmu
  * Fix lintian error about debian version in symbols file
  * Refresh patches
  * Update copyright dates
  * Update symbols for other ports
  * Add gbp.conf file
  * Update symbols file with new symbols
  * Install new manuals for download scripts
  * Patch new manpage makefile to escape hypens
  * Add lintian override for manpage undefined macros

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 04 Nov 2014 21:46:34 +0100
