=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=geographiclib
export PYBUILD_SYSTEM=pybuild

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/[~+].*//; s/^[0-9]://')

DBG_PACKAGE=$(shell grep "^Package: libgeographic[0-9]*-dbg$$" debian/control | awk '{print $$2}')

%:
	dh $@ --with autoreconf,python2,pkgkde_symbolshelper

override_dh_install:
	# Remove duplicate license information
	$(RM) debian/tmp/usr/share/doc/geographiclib/html/LICENSE.txt

	# Remove duplicate files in docs
	$(RM) debian/tmp/usr/share/doc/geographiclib/html/*/*.png
	$(RM) debian/tmp/usr/share/doc/geographiclib/html/*/*.css
	$(RM) debian/tmp/usr/share/doc/geographiclib/html/*/dynsections.js

	# Remove .la files
	$(RM) debian/tmp/usr/lib/*/libGeographic.la

	# Remove MATLAB files
	$(RM) -r debian/tmp/usr/share/matlab/

	# Remove embedded jQuery
	$(RM) debian/tmp/usr/share/doc/geographiclib/html/*/jquery.js \
	      debian/tmp/usr/share/doc/geographiclib/html/jquery.js

	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0

override_dh_strip:
	dh_strip --dbg-package=$(DBG_PACKAGE)
