## geographiclib 1.43

=== debian/changelog ===
geographiclib (1.43-3) unstable; urgency=medium

  * Update symbols for other architectures with GCC 5.
    (closes: #791044)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Aug 2015 00:19:00 +0200

geographiclib (1.43-3~exp1) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.
  * Update watch file, add version mangling, handle other tar extensions.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 15:18:14 +0200

geographiclib (1.43-2) unstable; urgency=medium

  [ Francesco Paolo Lovergine ]
  * Upstream script geographiclib-get-geoids depends strictly on wget to work.

  [ Bas Couwenberg ]
  * Update description for python package.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 11:03:05 +0200

geographiclib (1.43-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Jun 2015 20:30:58 +0200

geographiclib (1.43-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 May 2015 15:05:02 +0200
