=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=geographiclib
 export PYBUILD_SYSTEM=pybuild
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/[~+].*//; s/^[0-9]://')
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
 
 DBG_PACKAGE=$(shell grep "^Package: libgeographic[0-9]*-dbg$$" debian/control | awk '{print $$2}')
