=== debian/changelog ===
geographiclib (1.44-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 11:25:32 +0200

geographiclib (1.44-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file, update copyright years.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Aug 2015 11:10:53 +0200
